Hypersub subscription check
curl --request GET \
--url https://api.neynar.com/v2/stp/subscription_check/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/stp/subscription_check/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/stp/subscription_check/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Subscribers
Hypersub subscription check
Check if a wallet address is subscribed to a given STP (Hypersub) contract.
GET
/
v2
/
stp
/
subscription_check
/
Hypersub subscription check
Node.js SDK
🔗 SDK Method: fetchSubscriptionCheck Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
Comma separated list of Ethereum addresses, up to 350 at a time
Example:
"0xedd3783e8c7c52b80cfbd026a63c207edc9cbee7,0x5a927ac639636e534b678e81768ca19e2c6280b7"
Ethereum address of the STP contract
Example:
"0x76ad4cb9ac51c09f4d9c2cadcea75c9fa9074e5b"
Chain ID of the STP contract
Example:
"8453"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?